<!DOCTYPE html>
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Web QR</title>
  <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
      <!--Import materialize.css-->
  <link type="text/css" rel="stylesheet" href="materialize/css/materialize.min.css"  media="screen,projection"/>
<style type="text/css">
#canvas{
    display:none;
}
#v{
  width: 470px;
  height: 352px;
}
@page :left {
  margin-left: 3cm;
}

@page :right {
  margin-left: 4cm;
}
  * {
      box-sizing: border-box;
      -moz-box-sizing: border-box;
  }
  .page {
      width: 15cm;
      min-height: 10cm;
      padding: 0cm;
      margin: 1cm auto;
      /*border: 1px #D3D3D3 solid;*/
      /*border-radius: 5px;*/
      background: white;
      /*box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);*/
  }
  .subpage {
      padding: 1cm;
      border: 5px red solid;
      height: 256mm;
      outline: 2cm #FFEAEA solid;
  }
  
  @page {
      size: A4;
      margin: 0;
  }
  @media print {
      .page {
          margin: 0;
          border: initial;
          border-radius: initial;
          width: initial;
          min-height: initial;
          box-shadow: initial;
          background: initial;
          page-break-after: always;
      }
  }
 
  @media print
  {    
      .no-print, .no-print *
      {
          display: none !important;
      }
  }
  .qrcode{
    position: relative;
  }
  .logo{
    position:absolute;
   left:45%;
   top: 36%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  }

.style1 {
	font-size: 24px;
	font-weight: bold;
}
.style2 {
	font-family: "Times New Roman", Times, serif;
	font-weight: bold;
	font-style: italic;
	color: #FF0000;
}
.style3 {
	color: #0000FF;
	font-weight: bold;
}
.style4 {
	color: #FF0000;
	font-weight: bold;
}
.style6 {color: #0000FF}
</style>

</head>

<body>
<?php 
require_once("lib/connection.php");
$mst="";
$tendn="";
    if(isset($_POST['kiemtra'])){
	$mst = $_POST['mst'];
	   
    //echo "{$mst}";
	$sql = "SELECT MST,TenDN FROM DoanhNghiep WHERE (MST='$mst')";
	$result = $connect->query($sql);
	 if ($result->num_rows > 0) 
{
    // Sử dụng vòng lặp while để lặp kết quả
    while($row = $result->fetch_assoc()) {
        $tendn=  $row["TenDN"];
				echo $tendn;
		}
} 
else {
    echo "     Mã số Thuế này không tồn tại trong hệ thống vui long liên hệ quản trị viên";
}
  	
     //echo "The insert function is called.";
	 //$('#kiemtra').value("ABC");
    }
?>
<?php
		require_once("lib/connection.php");
		if (isset($_POST["btnin"])) 
		{
  			//lấy thông tin từ các form bằng phương thức POST
  			$mst = $_POST["mst"];
			$tendn = $_POST["tendoanhnghiep"];
  			$tenlaixe = $_POST["tenlaixe"];
 			$socmnd = $_POST["socmndlaixe"];
  			$diachi = $_POST["diachi"];
			$sodienthoai = $_POST["sodienthoai"];
  			$biensoxe = $_POST["biensoxe"];
 			$nguoidicung = $_POST["nguoidicung"];
  			$giovao = $_POST["giovao"];
			$ngayvao = $_POST["ngayvao"];
  			$thoigiandk =  date('H:i:s d-m-Y');
 			
  			//Kiểm tra điều kiện bắt buộc đối với các field không được bỏ trống
			if ($mst =="" || $tendn == "" || $tenlaixe == "" || $socmnd == "" || $sodienthoai == "" || $biensoxe == "")
		 	{
			echo "chú ý bạn chưa nhập đầy đủ thông tin";
			}
			else
			{
			 $sql = "INSERT INTO dangky(mst,tendn,tenlaixe,socmnd,diachi,sodienthoai,biensoxe,nguoidicung,giovao,ngayvao,thoigiandk) VALUES ('$mst',N'$tendn',N'$tenlaixe','$socmnd',N'$diachi','$sodienthoai',N'$biensoxe',N'$nguoidicung','$giovao','$ngayvao',now())";
	// thực thi câu $sql với biến conn lấy từ file connection.php
 			   	
				if ($connect->query($sql) === TRUE) 
				{
					echo "ĐĂNG KÝ THÀNH CÔNG! ";
					//echo date('H:i:s d-m-Y');
				} 
				 else 
				{
        			echo "Error: " . $sql . "<br>" . $connect->error;
   				}		
			}  
	}
	?>
<form action="index5.php" method="post">
  <div class="row">   
      <div id="test2" class="col s12">
        <h4 style="color: blue; text-align: center;" class="no-print">TẠO MÃ QR RA VÀO CỔNG KCN LONG GIANG
          
        </h4>
        <div class="container">
          <div>   
            <div class="no-print">
            <div class="col s6">
              <div >
              <div>
                  <p>Mã Số Thuế DN (nơi tiếp nhận xe vào, chỉ nhập MST DN nằm trong KCN Long Giang)
                    <input  type="number" class="validate" id="mst" name="mst" value=<?php echo $mst; ?>  >
                </p>
                  <p>
                  <button class="waves-effect waves-light btn blue no-print" name="kiemtra" id="kiemtra" style="margin-top: -50px; margin-left: 0px;" ><i class="material-icons left">Kiểm Tra MST</i></button>
                </p>
              </div>
                <div >
                  Tên Doanh Nghiệp (nơi tiếp nhận xe vào, chỉ nhập tên DN nằm trong KCN Long Giang)
                  <input type="text" class="validate" id="tendoanhnghiep" name="tendoanhnghiep" value="<?php print $tendn; ?>" >
                </div>
              </div>
              <div>
                <div>
                  Tên Lái Xe
                    <input  type="text" class="validate"  name="tenlaixe"id="tenlaixe">
</div>
              </div>
              <div >
                <div>
                  Số CMND lái xe<input  type="number" class="validate" name="socmndlaixe" id="socmndlaixe">
                </div>
              </div>
              <div>
                <div>
                  Địa chỉ thường trú, tạm trú (ghi đầy đủ)
                    <input type="text" class="validate" name="diachi" id="diachi">
                </div>
              </div>
              <div>
                <div>
                  Số Điện Thoại Lái Xe<input type="number"  name="sodienthoai"class="validate" id="sodienthoai">
                </div>
              </div>
              <div>
                <div>
                  Biển Số Xe Đầy Đủ Ví Dụ 63A-123.45<input type="text"  name="biensoxe" class="validate" id="biensoxe">
                </div>
              </div>
              <div>
                <div>
                  Người Đi Cùng Ghi Tên Và SĐT<input type="text" class="validate" id="nguoidicung" name="nguoidicung">
               </div>
              </div>
              <div>
                <div>
                  Thời Gian Dự Kiến Vào KCN <input type="time" class="validate" name="giovao" id="giovao">
               </div>
              </div>
              <div>
                <div>
                  Vào  ngày 
                    <input type="date" class="validate" id="ngayvao" name="ngayvao" >
               </div>
               <span class="style2">DN Lưu Ý: không tiếp nhận người xuất phát từ vùng dịch đang có dịch (phường, xã, quận) theo thông báo của cơ quan nhà nước.              </span></div>
              <div class="row" style="text-align: right;"><span class="row" style="text-align: right;"><a class="waves-effect waves-light btn red" id="btntaoma" type="submit"><i class="material-icons left"></i>Tạo Mã QR</a></span></div>
              <div class="row" style="text-align: right;"><span class="row" style="text-align: right;">
                <label></label>
              </span></div>
            </div> 
            </div> 
 </form> 
            <div class="col s6">
              <div class="page" id="print">
                <div class="row">
                  <div class="col s12">
                    <div style="border: 2px solid #000; border-radius: 5px; width: 350px;">
                      <div id="qrcode"  align="center" class="qrcode" style="margin-top: 10px; margin-left: 20px; "><div align="center" class="style1">
                        <div id="qrcode2" align="center" class="qrcode" style="margin-top: 10px; margin-left: 20px; ">
                          <div align="center" class="style1">
                            <p align="center">GIẤY RA VÀO CỔNG KCN LONG GIANG</p>
                          </div>
                        </div>
                        <p>&nbsp;</p>
                        </div>
                    </div>
                    <div style="margin-top: 10px; margin-left: 20px;">
                        <p id="lbltendoanhnghiep">Tên DN: </p>
                        <p id="lbltenlaixe">Tên lái xe: </p>
                        <p id="lblsocmndlaixe">Số CMND: </p>
                        <p id="lbldiachi">Địa chỉ: </p>
                        <p id="lblsodienthoai">Số diện thoại: </p>
                        <p id="lblbiensoxe">Biển số xe: </p>
                        <p id="lblnguoidicung">Người đi cùng: </p>
                      	<p id="lblthoigian">Thời gian: </p>
                        <p id="lblthoigiandk" >Đăng ký vào lúc: </p>
                        <p><em><strong>Lưu ý:</strong></em> Lái xe cần xuất trình giấy ra vào cổng KCN, CMND hoặc GPLX và<span class="style4"> BĂT BUỘC</span> khai báo y tế điện tử (check mã QR) tại Cổng KCN </p>
                    </div>
                    </div>
                    <button class="waves-effect waves-light btn green no-print" name="btnin" id="btnin" style="margin-top: 10px; margin-left: 75px;" ><i class="material-icons left">In Mã QR</i></button>
                  </div>
                  <p>&nbsp;</p>
                </div> 
              </div>            
            </div>
          </div> 
        </div>
      </div>  

</body>
<script type="text/javascript" src="createQR/jquery.min.js"></script>
  <script type="text/javascript" src="createQR/qrcode.js"></script>
  <script type="text/javascript" src="materialize/js/materialize.min.js"></script>
  <!-- create qr code -->
  <script type="text/javascript">
    var qrcode = new QRCode(document.getElementById("qrcode"), {
      width : 200,
      height : 200
    });

    function makeCode () {    
      var tendoanhnghiep = $("#tendoanhnghiep").val();      
      var tenlaixe = $("#tenlaixe").val();
	  var socmndlaixe = $("#socmndlaixe").val();
	  var diachi = $("#diachi").val();
	  var sodienthoai = $("#sodienthoai").val();      
      var biensoxe = $("#biensoxe").val();           
      var nguoidicung = $("#nguoidicung").val(); 
	  var giovao = $("#giovao").val(); 
	  var ngayvao = $("#ngayvao").val();
	  //var nutbam = $("#nutbam").val();      
      var elText =  'Tên DN: '+tendoanhnghiep + ' | Tên lái xe: ' + tenlaixe + ' | Số CMND : ' + socmndlaixe + ' | Địa chỉ:' + diachi+ ' | Số ĐT: ' +sodienthoai + ' | Biển số xe: ' + biensoxe  + ' | Những người đi cùng: ' + nguoidicung + ' | Thời gian vào KCN lúc ' + giovao + ' phút, ngày ' + ngayvao ;
	  //var elText = nutbam;
      qrcode.makeCode(elText);
    }

    makeCode();

    $("#btntaoma").
      on("click", function () {
        makeCode();
         //lấy thông tin
        $("#lbltendoanhnghiep").empty();
        $("#lbltenlaixe").empty();
		$("#lblsocmndlaixe").empty();
		$("#lbldiachi").empty();
        $("#lblsodienthoai").empty();
		$("#lblbiensoxee").empty();
        $("#lblnguoidicung").empty();
		$("#lblthoigian").empty();
        var tendoanhnghiep = $("#tendoanhnghiep").val();
        $("#lbltendoanhnghiep").text("Tên DN: " + tendoanhnghiep);
        var tenlaixe = $("#tenlaixe").val();
        $("#lbltenlaixe").text("Tên lái xe: " + tenlaixe);
		var socmndlaixe = $("#socmndlaixe").val();
        $("#lblsocmndlaixe").text("Số CMND: " + socmndlaixe);
		var diachi = $("#diachi").val();
        $("#lbldiachi").text("Địa chỉ: " + diachi);
        var sodienthoai = $("#sodienthoai").val();
        $("#lblsodienthoai").text("Số điện thoại: " + sodienthoai);
		var biensoxe = $("#biensoxe").val();
        $("#lblbiensoxe").text("Biển số xe: " + biensoxe);
		var nguoidicung = $("#nguoidicung").val();
        $("#lblnguoidicung").text("Người đi cùng: " + nguoidicung);
		var giovao = $("#giovao").val();
		var ngayvao = $("#ngayvao").val();
		
        $("#lblthoigian").text("Thời gian vào KCN lúc : " +giovao+ " phút, ngày " + ngayvao);
		//var thoigian1 = $("#thoigian1").val();
        //$("#lblthoigian1").text("Thời gian: " + thoigian1);
		var now = new Date();
		var a= document.getElementById("lblthoigiandk").innerHTML = now.toLocaleString();
		$("#lblthoigiandk").text("Mã Qr được tạo vào lúc: " + a);
      }).
      on("keydown", function (e) {
        if (e.keyCode == 13) {
          makeCode();
        }
      });  
   
    $("#btnin").click(function(event) 
	{
      window.print();
	  
    });
    $("#btnreload").click(function(event) {
       var tendoanhnghiep = $("#tendoanhnghiep").val();
        $("#lbltendoanhnghiep").text("Tên DN: "+ tendoanhnghiep);
        var tenlaixe = $("#tenlaixe").val("");
        $("#lbltenlaixe").text("Tên Lái Xe: ");
		 var socmndlaixe = $("#socmndlaixe").val("");
        $("#lblsocmndlaixe").text("Số CMND: " );
        var diachi = $("#diachi").val("");
        $("#lbldiachi").text("Địa chi: " );
        var sodienthoai = $("#sodienthoai").val("");
        $("#lblsodienthoai").text("Số điện thoại: " );
		var biensoxe = $("#biensoxe").val("");
        $("#lblbiensoxe").text("Biển số xe: " );
		var nguoidicung = $("#nguoidicung").val("");
        $("#lblnguoidicung").text("Người đi cùng: ");
		var thoigian = $("#thoigian").val("");
        $("#lblthoigian").text("Thời gian: ");
    });
	function mydate()
	{
	  //alert("");
	document.getElementById("dt").hidden=false;
	}
  </script>
</html>